package allinone;

import com.lutris.appserver.server.sql.*;
import com.lutris.util.*;
import org.enhydra.dods.*;
import java.sql.SQLException;


import javax.swing.*;
import java.util.*;
import java.awt.*;
import java.awt.event.*;
import java.net.*;
import java.io.*;
import org.apache.log4j.Logger;
import org.apache.log4j.xml.DOMConfigurator;
import com.lutris.appserver.server.sql.*;
import allinone.data.disc.*;
import allinone.data.person.*;

public class MultiTransTest {

    public void runTest(DBTransaction dbTrans1) {
	try { 
	    System.err.println("___ - + * startin MultiTransaction * + -  ___");
	    PersonDO person1 = PersonDO.createVirgin(dbTrans1);

	    person1.setFirstname("Person1Name");
	    person1.setLastname("Person1LastName");
	    person1.setLogin("p1");
	    person1.setPassword("p1");
	    person1.save(dbTrans1);
	    dbTrans1.write();
	    dbTrans1.commit();
	    System.err.println("-----person1------");
	    System.err.println(person1);	 
	    System.err.println("------------------");
	       
	    DiscDO disc1 = DiscDO.createVirgin(dbTrans1);
	    disc1.setArtist("Artist1");
	    disc1.setTitle("Disc test1");
	    disc1.setGenre("pop1");
	    disc1.setOwner(person1);
	    disc1.setIsLiked(false);
	    disc1.save(dbTrans1);
	    System.err.println("----disc1---------");
	    System.err.println(disc1);
	    System.err.println("------------------");	 
	     
	    String temp = disc1.getHandle();
	    dbTrans1.commit();
	    dbTrans1.release();

	    DBTransaction dbTrans2 = DODS.getDatabaseManager().createTransaction();
	    DiscDO disc2 = DiscDO.createExisting(temp,dbTrans2);
	    System.err.println();
	    System.err.println(disc2);	    
	    
	    PersonDO pers2= disc2.getOwner();
	    System.err.println("-----pers2--------");	 
	    System.err.println(pers2);
	    System.err.println("------------------");	 
	    dbTrans2.commit();
	    dbTrans2.release();
	}catch (Exception ex){   
	    System.err.println(ex.toString());
	    ex.printStackTrace();
	}
    }
}

