package allinone;

import com.lutris.appserver.server.sql.*;
import com.lutris.util.*;
import org.enhydra.dods.*;
import java.sql.SQLException;


import javax.swing.*;
import java.util.*;
import java.awt.*;
import java.awt.event.*;
import java.net.*;
import java.io.*;
import org.apache.log4j.Logger;
import org.apache.log4j.xml.DOMConfigurator;
import com.lutris.appserver.server.sql.*;
import allinone.data.disc.*;
import allinone.data.person.*;

public class GetDOs {

    public void runTest(DBTransaction dbTrans1) {
	try { 
	    System.err.println("___ - + * startin GetDOArray * + -  ___");
	    PersonDO person1 = PersonDO.createVirgin(dbTrans1);

	    person1.setFirstname("Person1Name");
	    person1.setLastname("Person1LastName");
	    person1.setLogin("p1");
	    person1.setPassword("p1");
	    person1.save(dbTrans1);
	    dbTrans1.write();
	    dbTrans1.commit();
	    //	    System.err.println("-----person1------");
	    //	    System.err.println(person1);	 
	    //	    System.err.println("------------------");
	       
	    DiscDO[] discs = person1.getDiscDOArray();
	    System.err.println("DUZINA:"+discs.length);

	    DiscDO disc1 = DiscDO.createVirgin(dbTrans1);
	    disc1.setArtist("Artist1");
	    disc1.setTitle("Disc test1");
	    disc1.setGenre("pop1");
	    disc1.setOwner(person1);
	    disc1.setIsLiked(false);
	    disc1.save(dbTrans1);

	    disc1 = DiscDO.createVirgin(dbTrans1);
	    disc1.setArtist("Artist2");
	    disc1.setTitle("Disc test2");
	    disc1.setGenre("pop2");
	    disc1.setOwner(person1);
	    disc1.setIsLiked(false);
	    disc1.save(dbTrans1);
	     
	    String temp = person1.getHandle();
	    dbTrans1.commit();
	    dbTrans1.release();

	    DBTransaction dbTrans2 = DODS.getDatabaseManager().createTransaction();
	    PersonDO pers2= PersonDO.createExisting(temp);

	    discs = pers2.getDiscDOArray();
	    System.err.println("DUZINA:"+discs.length);
	    for(int i = 0; i < discs.length; ++i) {
		System.err.println("---disc"+i+"---\n"+discs[i]+"\n------------");
	    }

	    dbTrans2.commit();
	    dbTrans2.release();
	}catch (Exception ex){   
	    System.err.println(ex.toString());
	    ex.printStackTrace();
	}
    }
}

