package allinone;

import com.lutris.appserver.server.sql.*;
import org.enhydra.dods.*;
import allinone.data.*;



public class MultiReference2 {
    void showTables(DBTransaction dbTrans){
        try{
            TableAQuery queryA = new TableAQuery(dbTrans);
            TableADO[] allADO = queryA.getDOArray();
            System.err.println();
            System.err.println("-------------TableA-----begin----------");
            if(allADO!=null) {
                if(allADO.length>0)System.err.println("---oid------someData------");
                for(int i=0; i<allADO.length; i++){
                    System.err.print("   "+allADO[i].get_Handle());
                    System.err.print("   "+allADO[i].getSomedata());
                    System.err.println();
                }
            } else {
                System.err.println("noData");
            }
            System.err.println("-------------TableA-----end------------");

            TableBQuery queryB = new TableBQuery(dbTrans);
            TableBDO[] allBDO = queryB.getDOArray();
            System.err.println();
            System.err.println("-------------TableB-----begin----------");
            if(allBDO!=null) {
                if(allBDO.length>0)System.err.println("---oid------someData------ref-----ref-----");
                for(int i=0; i<allBDO.length; i++){
                    System.err.print("   "+allBDO[i].get_Handle());
                    System.err.print("   "+allBDO[i].getSomedata());
                    System.err.print("   "+(null != allBDO[i].getReftoa()?allBDO[i].getReftoa().getHandle():"null"));
                         System.err.print("   "+(null != allBDO[i].getReftob()?allBDO[i].getReftob().getHandle():"null"));
                    System.err.println();
                }
            } else {
                System.err.println("noData");
            }
            System.err.println("-------------TableB-----end------------");

            TableCQuery queryC = new TableCQuery(dbTrans);
            TableCDO[] allCDO = queryC.getDOArray();
            System.err.println();
            System.err.println("-------------TableC-----begin----------");
            if(allCDO!=null) {
                if(allCDO.length>0)System.err.println("---oid------someData-------ref-----ref-----");
                for(int i=0; i<allCDO.length; i++){
                    System.err.print("   "+allCDO[i].get_Handle());
                    System.err.print("   "+allCDO[i].getSomedata());
                    System.err.print("   "+(null != allCDO[i].getReftoa()?allCDO[i].getReftoa().getHandle():"null"));
                         System.err.print("   "+(null != allCDO[i].getReftob()?allCDO[i].getReftob().getHandle():"null"));
                    System.err.println();
                }
            } else {
                System.err.println("noData");
            }
            System.err.println("-------------TableC-----end------------");

        }catch(Exception e){
            e.printStackTrace();
        }
    }

    public void runTest(DBTransaction dbTrans1) {
        try {
            boolean autoWrite = ((StandardDatabaseManager)DODS.getDatabaseManager()).getDatabaseManagerConfiguration().getAutoWrite();
            System.err.println("___ - + * startin another MultRef * + -  ___");
            showTables(dbTrans1);

            TableADO tableA1 = TableADO.createVirgin(dbTrans1);
            tableA1.setSomedata("tableA1");
            tableA1.save();
            if(!autoWrite)
               dbTrans1.write();

            TableBDO tableB1 = TableBDO.createVirgin(dbTrans1);
            tableB1.setSomedata("tableB1");
            tableB1.setReftoa(tableA1);
            tableB1.save();
            TableBDO tableB4 = TableBDO.createVirgin(dbTrans1);
            tableB4.setSomedata("tableB4");
            tableB4.setReftoa(tableA1);
            tableB4.setReftob(tableB1);
            tableB4.save(dbTrans1);
            if(!autoWrite)
               dbTrans1.write();

            TableCDO tableC1 = TableCDO.createVirgin(dbTrans1);
            tableC1.setSomedata("tableC1");
            tableC1.setReftob(tableB4);
            tableC1.save();
            if(!autoWrite)
               dbTrans1.write();

            System.err.println("rows inserted");
            showTables(dbTrans1);
            /**/
            System.err.print("delete1 --- ");
            tableA1.delete(dbTrans1);
            if(!autoWrite)
                dbTrans1.write();
             /**/
            if (null != dbTrans1)
                dbTrans1.commit();

            System.err.println("that's all folks, table are empty now, I hope :) ");
            showTables(dbTrans1);
        }catch (Exception ex){
            System.err.println(ex.toString());
            ex.printStackTrace();
        }
    }
}
